
function blank(b)
	{
	for (var i = 0; i < b.length; i++)
		{
		var c = b.charAt(i);
		if (c != " " && c != "\t" && c != null) return false;
		}
	return true;
	}

function alphabetic(input)
	{
	var pattern = /^\D*$/i;
	if (!pattern.test(input))
		return false;
	else
		return true;
	}

function numeric(input)
	{
	var pattern = /^\d*$/;
	if (!pattern.test(input))
		return false;
	else
		return true;
	}

function selection(input)
	{
	if (input.options[0].selected)
		return false;
	else
		return true;
	}

function address(input)
	{
	var pattern = /^\d+\s+\w{3,}.*$/
	if (!pattern.test(input))
		return false;
	else
		return true;
	}

function zipcode(input)
	{
	var pattern = /^\d{5}([-\.\s]\d{4})?$/
	if (!pattern.test(input))
		return false;
	else
		return true;
	}

function phone(input)
	{
	var pattern = /^(\(?\d{3}\)?)?[\-\.\s]?\d{3}[\-\.\s]?\d{4}$/
	if (!pattern.test(input))
		return false;
	else
		return true;
	}

function creditcard(input)
	{
	var pattern = /^\d{4}([\-\.\s])\d{4}\1\d{4}\1\d{4}$/
	if (!pattern.test(input))
		return false;
	else
		return true;
	}

function date(input)
	{
	if (blank(input))
		return true;
	else
		{
		var pattern = /^(\d{1,2})([\/\-\.\s])(\d{1,2})\2(\d{2}|\d{4})$/
		var matchArray = input.match(pattern);
		if (matchArray == null)
			return false;
		else
			{
			var month = matchArray[1];
			var day	 = matchArray[3];
			var year	= matchArray[4];
			var leapYear = year % 4;
			if (month < 1 || month > 12 || day < 1 || day > 31)
				return false;
			else if (month == 2)
				{
				if (leapYear == 0 && day > 29)
					return false;
				else if (leapYear != 0 && day > 28)
					return false;
				else
					return true;
				}
			else if ((month == 4 || month == 6 || month == 9 || month == 11) && day > 30)
				return false;
			else
				return true;
			}
		}
	}

function email(input)
	{
	if (blank(input))
		return true;
	else
		{
		var emailPat = /^(.+)@(.+)$/
		var specialChars = "\\(\\)<>@,;:\\\\\\\"\\.\\[\\]"
		var validChars = "\[^\\s" + specialChars + "\]"
		var quotedUser = "(\"[^\"]*\")"
		var ipDomainPat = /^\[(\d{1,3})\.(\d{1,3})\.(\d{1,3})\.(\d{1,3})\]$/
		var atom = validChars + '+'
		var word = "(" + atom + "|" + quotedUser + ")"
		var userPat = new RegExp("^" + word + "(\\." + word + ")*$")
		var domainPat = new RegExp("^" + atom + "(\\." + atom +")*$")
		var matchArray = input.match(emailPat)
		if (matchArray == null)
			return false;
		else
			{
			var user = matchArray[1]
			var domain = matchArray[2]
			if (user.match(userPat) == null)
				return false;
			var IPArray = domain.match(ipDomainPat)
			if (IPArray != null)
				{
				for (var i = 1; i <= 4; i++)
						{
						if (IPArray[i] > 255)
						return false;
						}
					return true;
				}
			var domainArray = domain.match(domainPat)
			if (domainArray == null)
				return false;
			var atomPat = new RegExp(atom,"g")
			var domArr = domain.match(atomPat)
			var len = domArr.length
			if (domArr[domArr.length-1].length < 2 || domArr[domArr.length-1].length > 3)
				return false;
			if (len < 2)
				return false;
			return true;
			}
		}
	}
